GET
Returns events for an incident in the authenticated workspace. Requires a personal API key with the incidents:read scope.
BearerAuthheader
AuthorizationBearer <token>Personal API key with the incidents:read scope.
incident_id*Incident IdIncident identifier.
limit?LimitMaximum events to return.
Range
1 <= value <= 1000Default
500Successful Response
application/json- response
incident_id*Incident Idevents?array<>curl --fail-with-body --silent --show-error \+ "${INCIDENTFLOW_API_BASE_URL:-https://api.incidentflow.io}/api/v1/incidents/${INCIDENTFLOW_INCIDENT_ID}/timeline?limit=500" \+ -H "Authorization: Bearer ${INCIDENTFLOW_API_TOKEN}"Example Response
{ "incident_id": "11111111-1111-1111-1111-111111111111", "events": [ { "event_id": "33333333-3333-3333-3333-333333333333", "occurred_at": "2026-10-25T13:00:00Z", "event_name": "external_incident.detected", "event_category": "incident", "payload": { "message": "Elevated API errors" }, "provenance": {}, "evidence_refs": [], "correlation_type": "provider_incident_key", "correlation_score": 1 } ]}